################################################################
#  评论组件
################################################################

# 添加新评论
addCommonComment = cn.com.dekn.cms.comment.web.commend.AddCommonCommentCommand

# 删除评论
delCommonComment = cn.com.dekn.cms.comment.web.commend.DelCommonCommentCommand



################################################################
#  搜索引擎
################################################################

# 添加索引库
addIndexDB = cn.com.dekn.cms.search.web.command.AddSearchIndexDBCommand

# 修改索引库
modifyIndexDB = cn.com.dekn.cms.search.web.command.ModifySearchIndexDBCommand

# 删除索引库
delIndexDB = cn.com.dekn.cms.search.web.command.DelSearchIndexDBCommand

# 重建索引库
rebuildIndexDB = cn.com.dekn.cms.search.web.command.RebuildIndexDBCommand


# 索引一个资源
indexRes = cn.com.dekn.cms.search.web.command.IndexResourceCommand


# 关于栏目索引: 索引一个栏目内的所有文章
reIndexForArticleClass = cn.com.dekn.cms.article.classadmin.web.command.ReIndexForArticleClassCommand

# 关于栏目索引: 索引一个栏目内的所有文章
clearIndexForArticleClass = cn.com.dekn.cms.article.classadmin.web.command.CleanIndexForArticleClassCommand


################################################################
#  文章管理
################################################################

#　添加文章
addArticle = cn.com.dekn.cms.article.admin.web.command.AddArticleCommand

# 将文章移至回收站
delArticleToRecycleBin = cn.com.dekn.cms.article.admin.web.command.DelArticleToRecycleBinCommand

# 修改文章
modifyArticle = cn.com.dekn.cms.article.admin.web.command.ModifyArticleCommand

# 移动文章
moveArticle = cn.com.dekn.cms.article.admin.web.command.MoveArticleCommand

# 固顶文章
ontopArticle = cn.com.dekn.cms.article.admin.web.command.OntopArticleCommand

# 推荐文章
commendArticle = cn.com.dekn.cms.article.admin.web.command.CommendArticleCommand

# 上传文件
fileUpload = cn.com.dekn.cms.upload.web.command.FileUploadCommand

# 审核通过文章
auditingArticle = cn.com.dekn.cms.article.admin.web.command.AuditingArticleCommand

# 将文章从一个专题移动到另外一个专题
moveArticleToSpecial = cn.com.dekn.cms.article.admin.web.command.MoveArticleToSpecialCommand

# 还原回收站中的所有文章
resumeAllArticle = cn.com.dekn.cms.article.admin.web.command.ResumeAllFromRecycleBinCommand

# 还原回收站中的指定文章
resumeArticle = cn.com.dekn.cms.article.admin.web.command.ResumeFromRecycleBinCommand

# 清空回收站
delAllArticle = cn.com.dekn.cms.article.admin.web.command.DelAllFromRecycleBinCommand

# 从回收站中彻底删除指定的文章
delArticleFromRecycleBin = cn.com.dekn.cms.article.admin.web.command.DelFromRecycleBinCommand

# 重新生成某栏目或某文章的静态页  
reCacheArticleCommand = cn.com.dekn.cms.article.admin.web.command.ReCacheArticleCommand



################################################################
#  文章栏目管理
################################################################

# 添加栏目
addArticleClass = cn.com.dekn.cms.article.classadmin.web.command.AddClassCommand

#　修改栏目
modifyArticleClass = cn.com.dekn.cms.article.classadmin.web.command.ModifyClassCommand

# 设置栏目状态(停用/启用)
setArticleClassState = cn.com.dekn.cms.article.classadmin.web.command.SetClassStateCommand

# 删除某一栏目
delArticleClass = cn.com.dekn.cms.article.classadmin.web.command.DelClassCommand

# 栏目排序
orderArticleClass = cn.com.dekn.cms.article.classadmin.web.command.SetClassOrderCommand


################################################################
#  文章专题管理
################################################################

# 添加新专题
addArticleSpecial = cn.com.dekn.cms.article.special.web.command.AddSpecialCommand

# 修改专题
modifyArticleSpecial = cn.com.dekn.cms.article.special.web.command.ModifySpecialCommand

# 设置专题状态
setArticleSpecialState = cn.com.dekn.cms.article.special.web.command.SetSpecialStateCommand

# 删除专题
delArticleSpecial = cn.com.dekn.cms.article.special.web.command.DelSpecialCommand

# 清空专题文章
clearArticleSpecial = cn.com.dekn.cms.article.special.web.command.ClearSpecialCommand

# 专题排序
orderArticleSpecial = cn.com.dekn.cms.article.special.web.command.SetSpecialOrderCommand


################################################################
#  用户管理
################################################################

# 修改用户密码
setUserPwd = cn.com.dekn.cms.sa.web.command.ModifyUserPwdCommand



################################################################
#  通知通告
################################################################

# 添加新通知通告
addAnnounce = cn.com.dekn.cms.announce.web.command.AddAnnounceCommand

# 修改通知通告
modifyAnnounce = cn.com.dekn.cms.announce.web.command.ModifyAnnounceCommand

# 删除通知通告
delAnnounce = cn.com.dekn.cms.announce.web.command.DelAnnounceCommand

# 设置通知通告的状态
setAnnounceState = cn.com.dekn.cms.announce.web.command.SetAnnounceStateCommand


################################################################
#  通知通告分类
################################################################

# 添加新通知通告分类
addAnnounceClass = cn.com.dekn.cms.announce.web.command.AddAnnounceClassCommand

# 修改通知通告分类
modifyAnnounceClass = cn.com.dekn.cms.announce.web.command.ModifyAnnounceClassCommand

# 删除通知通告分类
delAnnounceClass = cn.com.dekn.cms.announce.web.command.DelAnnounceClassCommand



################################################################
#  投票管理
################################################################

#添加调查
addVote=cn.com.dekn.cms.vote.web.command.AddVoteCommand

#删除调查
delVote=cn.com.dekn.cms.vote.web.command.DelVoteCommand

#设置最新调查
setSelect=cn.com.dekn.cms.vote.web.command.SetSelectCommand

#修改调查
modifyVote=cn.com.dekn.cms.vote.web.command.ModifyVoteCommand

#投票
vote=cn.com.dekn.cms.vote.web.command.VoteCommand



################################################################
#  资源：模块分类管理
################################################################

# 添加资源模块分类
addModuleType = cn.com.dekn.cms.resource.moduletype.web.command.AddModuleTypeCommand

# 修改资源模块分类
modifyModuleType = cn.com.dekn.cms.resource.moduletype.web.command.ModifyModuleTypeCommand

# 删除资源模块分类
# 由于模块分类中包括若干模块，而模块中又包含若干资源，故暂不提供删除功能
# delModuleType = cn.com.dekn.cms.resource.moduletype.web.command.DelModuleTypeCommand

# 修改资源模块分类的状态
setModuleTypeState = cn.com.dekn.cms.resource.moduletype.web.command.SetModuleTypeStateCommand

# 排序资源模块分类
orderModuleType = cn.com.dekn.cms.resource.moduletype.web.command.SetModuleTypeOrderCommand

# 移动一个资源
moveModuleType = cn.com.dekn.cms.resource.moduletype.web.command.MoveModuleTypeCommand


################################################################
#  资源：模块管理
################################################################

# 添加资源模块
addModule = cn.com.dekn.cms.resource.module.web.command.AddModuleCommand

# 修改资源模块
modifyModule = cn.com.dekn.cms.resource.module.web.command.ModifyModuleCommand

# 删除资源模块
delModule = cn.com.dekn.cms.resource.module.web.command.DelModuleCommand

# 修改资源模块的状态
setModuleState = cn.com.dekn.cms.resource.module.web.command.SetModuleStateCommand

# 排序资源模块
orderModule = cn.com.dekn.cms.resource.module.web.command.SetModuleOrderCommand


################################################################
#  资源：资源管理
################################################################

# 添加资源
addRes = cn.com.dekn.cms.resource.admin.web.command.AddResCommand

# 修改资源
modifyRes = cn.com.dekn.cms.resource.admin.web.command.ModifyResCommand

# 删除资源
delRes = cn.com.dekn.cms.resource.admin.web.command.DelResCommand

# 修改资源的状态
setResState = cn.com.dekn.cms.resource.admin.web.command.SetResStateCommand

# 排序资源
orderRes = cn.com.dekn.cms.resource.admin.web.command.SetResOrderCommand


################################################################
#  系统配置管理
################################################################

# 修改网站配置信息
modifySiteConfig = cn.com.dekn.cms.syscfg.web.command.ModifySiteConfigCommand

# 修改上传文件类型信息
modifyFileUploadConfig = cn.com.dekn.cms.syscfg.web.command.ModifyFileUploadConfigCommand

################################################################
#  系统安装
################################################################

# 保存安装信息
saveSetupInfo = cn.com.dekn.cms.setup.web.command.SaveSetupInfoCommand

# 变更网站发布上下文路径
saveSetupModifyContext = cn.com.dekn.cms.setup.web.command.SaveModifyContextInfoCommand